org.eclipse.rdf4j.query.algebra

## Interface TupleExpr

- All Superinterfaces:
    Cloneable, QueryModelNode, Serializable
  All Known Subinterfaces:
    ExclusiveTupleExpr, ExclusiveTupleExprRenderer, FedXTupleExpr, StatementTupleExpr
  All Known Implementing Classes:
    AbstractNaryTupleOperator, ArbitraryLengthPath, BinaryTupleOperator, BindingSetAssignment, CheckStatementPattern, DescribeOperator, Difference, Distinct, EmptyNJoin, EmptyNUnion, EmptySet, EmptyStatementPattern, ExclusiveArbitraryLengthPath, ExclusiveGroup, ExclusiveStatement, Extension, ExternalSet, FedXLeftJoin, FedXService, FedXStatementPattern, Filter, Group, Intersection, Join, LeftJoin, MultiProjection, NaryJoin, NJoin, NTuple, NUnion, Order, OwnedTupleExpr, PassThroughTupleExpr, PrecompiledQueryNode, Projection, QueryRoot, Reduced, Service, SingleSourceQuery, SingletonSet, Slice, StatementPattern, StatementSourcePattern, TripleRef, TrueStatementPattern, TupleFunctionCall, UnaryTupleOperator, Union, ZeroLengthPath

      public interface TupleExpr
      extends QueryModelNode

  An expression that evaluates to RDF tuples.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TupleExpr` | `clone()` Returns a (deep) clone of this query model node.
    `Set<String>` | `getAssuredBindingNames()` Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
    `Set<String>` | `getBindingNames()` Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visit, visitChildren`

- - ### Method Detail

    - #### getBindingNames

          Set<String> getBindingNames()

      Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.
      Returns:
        A set of binding names.

    - #### getAssuredBindingNames

          Set<String> getAssuredBindingNames()

      Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
      Returns:
        A set of binding names.

    - #### clone

          TupleExpr clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Returns:
        A deep clone of this query model node.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.